KFloatValidator Class Reference

`#include <knumvalidator.h>`

Inherits QValidator.

## Public Member Functions

| KFloatValidator (QWidget *parent, const char *name=0)
| KFloatValidator (double bottom, double top, QWidget *parent, const char *name=0)
| KFloatValidator (double bottom, double top, bool localeAware, QWidget *parent, const char *name=0)
virtual | ~KFloatValidator ()
virtual State | validate (QString &, int &) const
virtual void | fixup (QString &) const
virtual void | setRange (double bottom, double top)
virtual double | bottom () const
virtual double | top () const
void | setAcceptLocalizedNumbers (bool b)
bool | acceptLocalizedNumbers () const

## Detailed Description

QValidator for floating point entry (Obsolete)

Deprecated:
  Use KDoubleValidator

Extends the QValidator class to properly validate double numeric data. This can be used by QLineEdit or subclass to provide validated text entry.

Author
  Glen Parker glene.nosp@m.bob@.nosp@m.nwlin.nosp@m.k.co.nosp@m.m

Version
  0.0.1

Definition at line 109 of file knumvalidator.h.

## Constructor & Destructor Documentation

KFloatValidator::KFloatValidator | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor.

Definition at line 164 of file knumvalidator.cpp.

KFloatValidator::KFloatValidator | ( | double | bottom,
|  | double | top,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor.

Also sets the minimum and maximum values.

Definition at line 172 of file knumvalidator.cpp.

KFloatValidator::KFloatValidator | ( | double | bottom,
|  | double | top,
|  | bool | localeAware,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor.

Sets the validator to be locale aware if `localeAware` is true.

Definition at line 181 of file knumvalidator.cpp.

KFloatValidator::~KFloatValidator | ( |  | ) |

virtual

Destructs the validator.

Definition at line 190 of file knumvalidator.cpp.

## Member Function Documentation

bool KFloatValidator::acceptLocalizedNumbers | ( |  | ) | const

Returns true if the validator is locale aware.

See also
  setAcceptLocalizedNumbers().

Definition at line 200 of file knumvalidator.cpp.

double KFloatValidator::bottom | ( |  | ) | const

virtual

Returns the current minimum value allowed.

Definition at line 276 of file knumvalidator.cpp.

void KFloatValidator::fixup | ( | QString & | str | ) | const

virtual

Fixes the text if possible, providing a valid string.

The parameter may be modified.

Definition at line 245 of file knumvalidator.cpp.

void KFloatValidator::setAcceptLocalizedNumbers | ( | bool | b | ) |

Sets the validator to be locale aware if `is` true.

In this case, the character KLocale::decimalSymbol() from the global locale is recognized as decimal separator.

Definition at line 195 of file knumvalidator.cpp.

void KFloatValidator::setRange | ( | double | bottom,
|  | double | top
| ) |  |

virtual

Sets the minimum and maximum value allowed.

Definition at line 267 of file knumvalidator.cpp.

double KFloatValidator::top | ( |  | ) | const

virtual

Returns the current maximum value allowed.

Definition at line 281 of file knumvalidator.cpp.

QValidator::State KFloatValidator::validate | ( | QString & | str,
|  | int & |
| ) |  | const

virtual

Validates the text, and return the result.

Does not modify the parameters.

Definition at line 205 of file knumvalidator.cpp.

The documentation for this class was generated from the following files:

- knumvalidator.h
- knumvalidator.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys